org.apache.cassandra.cql3.statements

## Class AlterTableStatementColumn

- java.lang.Object
- - org.apache.cassandra.cql3.statements.AlterTableStatementColumn

    public class AlterTableStatementColumn
    extends java.lang.Object

Stores a column name and optionally type for an Alter Table statement definition. This is used by AlterTableStatement to store the added, altered or dropped columns.

### Constructor Summary

Constructors
Constructor and Description
`AlterTableStatementColumn(ColumnDefinition.Raw colName)`
`AlterTableStatementColumn(ColumnDefinition.Raw colName, CQL3Type.Raw dataType)`
`AlterTableStatementColumn(ColumnDefinition.Raw colName, CQL3Type.Raw dataType, boolean isStatic)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ColumnDefinition.Raw` `getColumnName()`
`CQL3Type.Raw` `getColumnType()`
`java.lang.Boolean` `getStaticType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlterTableStatementColumn

    public AlterTableStatementColumn(ColumnDefinition.Raw colName,
                                     CQL3Type.Raw dataType,
                                     boolean isStatic)

#### AlterTableStatementColumn

    public AlterTableStatementColumn(ColumnDefinition.Raw colName,
                                     CQL3Type.Raw dataType)

#### AlterTableStatementColumn

    public AlterTableStatementColumn(ColumnDefinition.Raw colName)

### Method Detail

#### getColumnType

    public CQL3Type.Raw getColumnType()

#### getColumnName

    public ColumnDefinition.Raw getColumnName()

#### getStaticType

    public java.lang.Boolean getStaticType()